/* */
parse arg dir flist Include
compiler ="@icc.exe" Include "/DHAVE_CONFIG_H /Ss /O /Gm /Ge- /G5 /Oi /Q+ /Wcnd- /C" 
lib="@ilib.exe  /nol FtreeType.lib"
/* COPY */
DO FOREVER
file=linein(flist)
if file = "" then LEAVE
copyfrom = '@copy' dir||'\'||file
/* say 'file=' copyfrom */
copyfrom
END
linein(flist,1,0)

/* Compile+lib+delete OBJ */
DO FOREVER
file=linein(flist)
if file = "" then LEAVE
ext=RIGHT(file,2)
if ext = ".c" THEN
  DO
     l=LENGTH(file)
     file0 = LEFT(file,l-2)
     fileObj = file0||".obj"
/*   say 'file0='file0 */
     compiler file
     libcall= lib "-+"||fileObj||";"      
     libcall
     delObj = "@del" fileObj "/N"
     delObj 
  END  
/* say 'file=' file ext */
END
linein(flist,1,0)

/* DELETE */
DO FOREVER
file=linein(flist)
if file = "" then LEAVE
 delObj = "@del" file "/N"
  delObj 
END
